Bug 13341 - Hard-coded "Preview" text in OPAC openlibrary.js
Summary: Hard-coded "Preview" text in OPAC openlibrary.js
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-26 06:38 UTC by paxed
Modified: 2016-06-21 21:36 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13341 - Hard-coded "Preview" text in OPAC openlibrary.js (2.61 KB, patch)
2014-12-10 14:35 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed-off] Bug 13341 - Hard-coded "Preview" text in OPAC openlibrary.js (2.75 KB, patch)
2014-12-20 19:04 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] [PASSED QA] Bug 13341 - Hard-coded "Preview" text in OPAC openlibrary.js (2.86 KB, patch)
2014-12-27 13:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-11-26 06:38:28 UTC
./koha-tmpl/opac-tmpl/bootstrap/js/openlibrary.js:                        $(this).append('<div class="results_summary">' + '<a href="' + book.url + '">Preview</a></div>');
Comment 1 Owen Leonard 2014-12-10 14:35:21 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2014-12-20 19:04:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-27 13:34:56 UTC
Created attachment 34714 [details] [review]
[PASSED QA] [PASSED QA] Bug 13341 - Hard-coded "Preview" text in OPAC openlibrary.js

The OpenLibrary JavaScript includes an untranslated string, "Preview."
This patch move the string to the template so that it can be translated.

To test, apply the patch and test that the translator picks up the
string:

1. From misc/translator run 'perl translate update [lang]' (e.g. de-DE)
2. Edit misc/translator/po/[lang]-opac-bootstrap.po and add a
   translation for the updated "Preview" string
3. Remove the "#, fuzzy" marker from that entry
4. From misc/translator run 'perl translate install [lang]'
5. Enable the [lang] translation for the OPAC in system preferences
6. Enable the OpenLibraryCovers system preference.
7. In the OPAC switch to the [lang] translation.
7. View the detail page for a title for which there is an OpenLibrary
   cover image. Below it you should see a preview link with the
   translated string you added in step 2.

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2014-12-28 23:53:01 UTC
Patch pushed to master.

Thanks Owen!
Comment 5 Chris Cormack 2014-12-30 21:46:39 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 6 Mason James 2015-01-16 20:43:09 UTC
Pushed to 3.16.x, will be in 3.16.7